#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=wmcube

override_dh_auto_build:
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_auto_build --sourcedirectory=wmcube -- OS=-DFREEBSD \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
else
	dh_auto_build --sourcedirectory=wmcube -- \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
endif

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/wmcube/usr/bin
	mkdir -p $(CURDIR)/debian/wmcube/usr/share/man/man1
	dh_auto_install -- BINDIR=$(CURDIR)/debian/wmcube/usr/bin \
		DOCDIR=$(CURDIR)/debian/wmcube/usr/share/doc/wmcube \
		MANDIR=$(CURDIR)/debian/wmcube/usr/share/man/man1 \
		OBJDIR=$(CURDIR)/debian/wmcube/usr/share/wmcube
	rm $(CURDIR)/debian/wmcube/usr/share/doc/wmcube/CHANGES \
		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/COPYING \
		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/INSTALL \
		$(CURDIR)/debian/wmcube/usr/share/wmcube/CONTRIBUTE \
		$(CURDIR)/debian/wmcube/usr/share/wmcube/README
